package com.ycwl.basic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ycwl.basic.model.pc.permission.entity.PermissionEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface PermissionMapper extends BaseMapper<PermissionEntity> {
    // 新增用户ID查询方法
    PermissionEntity selectByUserId(@Param("userId") Long userId);

    void insertPermission(PermissionEntity entity);
    void updatePermission(PermissionEntity entity);
}